After EVP_CIPHER turned opaque, e_rc5.c needs to include evp_int.h
authorRichard Levitte <levitte@openssl.org>
Wed, 13 Jan 2016 16:15:28 +0000 (17:15 +0100)
committerRichard Levitte <levitte@openssl.org>
Wed, 13 Jan 2016 16:46:07 +0000 (17:46 +0100)
We missed this one because rc5 is disabled by default.

Notified by The Doctor <doctor@doctor.nl2k.ab.ca>

Reviewed-by: Rich Salz <rsalz@openssl.org>
crypto/evp/e_rc5.c

index 017a7ab..a97f2a0 100644 (file)
@@ -62,6 +62,7 @@
 #ifndef OPENSSL_NO_RC5
 
 # include <openssl/evp.h>
+# include <internal/evp_int.h>
 # include <openssl/objects.h>
 # include "evp_locl.h"
 # include <openssl/rc5.h>